Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.sortheader
Class HtmlSortHeaderRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
                  org.apache.myfaces.custom.sortheader.HtmlSortHeaderRenderer

public class HtmlSortHeaderRenderer
extends HtmlLinkRendererBase

Version:
  $Revision: 169637 $ $Date: 2005-05-11 10:24:09 -0400 (Wed, 11 May 2005) $ $Log: HtmlSortHeaderRenderer.java,v $ Revision 1.6 2004/10/13 11:50:58 matze renamed packages to org.apache Revision 1.5 2004/07/01 21:53:10 mwessendorf ASF switch Revision 1.4 2004/06/04 12:10:35 royalts added check on isArrow Revision 1.3 2004/05/18 14:31:38 manolito user role support completely moved to components source tree Revision 1.2 2004/04/22 09:20:55 manolito derive from HtmlLinkRendererBase instead of HtmlLinkRenderer
Author:
  Manfred Geiler (latest modification by $Author: schof $)

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`URL_STATE_MARKER, URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlSortHeaderRenderer()`

Method Summary
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`decode, encodeBegin, encodeChildren, getRendersChildren, getStyle, getStyleClass, renderCommandLinkStart, renderJavaScriptAnchorStart, renderLinkEnd, renderNonJavaScriptAnchorStart, renderOutputLinkStart`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSortHeaderRenderer

    public HtmlSortHeaderRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD